/* 
 * This file is part of Arapi Ext
 *
 * Copyright (c) 2011 Alexis Dorn
 * 
 * Contact:  http://www.alexisdorn.de or info(at)alexisdorn.de
 * 
 * For examples, docs, download and unit tests have a look at 
 * http://www.alexisdorn.de/arapi-ext
 * 
 * License:
 * 
 * This file is licensed under the terms of
 * the Open Source LGPL 3.0 license. Commercial use is permitted to the extent
 * that the code/component(s) do NOT become part of another Open Source or 
 * Commercially licensed development library or toolkit without explicit permission.
 * 
 * This library is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT OF THIRD-PARTY INTELLECTUAL 
 * PROPERTY RIGHTS.  See license for more details.
 * 
 * License details: http://www.gnu.org/licenses/lgpl.html
 * 
 * For use you need a license of Ext JS 4 (see license details under http://www.sencha.com/license.)
 */
/**
 * @class Project.view.core.Viewport
 * @extends Ext.container.Viewport
 * @author Alexis Dorn 
 */
Ext.define("Project.view.core.Viewport", {
	extend: "Ext.container.Viewport",
	layout: "border",
	items: [
		{
			region: "center",
			itemId: "viewport-center",
			layout: "fit",
			title: "Products"
		},
		{
			region: "east",
			itemId: "viewport-east",
			split: true,
			width: 700,
			layout: "fit"
		},
		{
			region: "north",
			itemId: "viewport-north",
			layout: "fit",
			height: 30
		}
	]
});